// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package notification

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/notification/api/internal/logic/notification"
	"juwan-backend/app/notification/api/internal/svc"
	"juwan-backend/app/notification/api/internal/types"
)

// 全部已读
func ReadAllNotificationsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.EmptyResp
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := notification.NewReadAllNotificationsLogic(r.Context(), svcCtx)
		resp, err := l.ReadAllNotifications(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
